:root{
  --bg-color:#080808;
  --card-bg:#111111;
  --border-color:#2a2a2a;
  --primary-color:#e2b714;
  --text-color:#ffffff;
  --secondary-color:#a0a0a0;
}

*{ box-sizing :border-box;}

body{
  font-family:'inter',sans-serif; 
  color:var(--text-color);
  background-color: var(--bg-color);
  line-height:2;
  overflow-x:hidden;
}



/* NAV */
.navbar{
  position:fixed;
  top:0;
  width:100%;
  padding:15px 0;
  background:rgba(8,8,0,0.8); 
  backdrop-filter:blur(10px);
  z-index:100;
  border-bottom:1px solid var(--border-color);
}

.nav_container{
  max-width:1000px;
  margin:0 auto;
  display:flex;
  justify-content:space-between;
  align-items:center;
  padding: 0 24px;
}
.web
.logo{
  font-weight:800;
  font-size:24px;

  display:flex;
  align-items:center;
  gap:12px;
  color:var(--text-color);
  text-decoration: none;
}

.dot{
  color:var(--primary-color);
}

.nav_links{
  display:flex;
  gap:24px;
  list-style:none;
}

.nav_links a {
  text-decoration:none;
  color:var(--text-color);
  font-size:14px;
  font-weight:500;
  transition:0.3s;
}

.nav_links a hover{
  color:var(--text-color);
}

main{
  max-width:1000px;
  margin:0 auto;
  padding:0 24px;
}

section{
  padding:80px 0;
  /* border-bottom:1px solid var(--border-color); */
}

h2{
  font-size:28px;
  margin-bottom:40px;
  display:flex;
  align-items:center;
  margin-bottom:40px;
}

h2::before{
  content:"/";
  color:var(--primary-color);
  margin-right:10px;
}

.sub_title{
  font-size:14px;
  color:var(--text-color);
  letter-spacing:2px;
  text-transform: uppercase;
  margin-bottom:10px;
  font-weight:600;
}



/* skills */
.skills_grid{
  display:grid;
  grid-template-columns: repeat(auto-fill,minmax(120px,1fr));
  gap:15px;
}
.skill_card{
  background:var(--card-bg);
  border:1px solid var(--border-color);
  border-radius:8px;
  padding:20px;
  text-align: center;
  transition:0.3s;
  display:flex;
  flex-direction: column;
  gap:10px;
  align-items:center;
}

.skill_card:hover{
  border-color:var(--primary-color);
  transform:translateY(-3px);
}

.skill_card i{
  font-size:30px;
}

.skill_card span{
  font-size:12px;
  color:var(--text-color);
}



/* project */

.project_grid{
  display:grid;
  grid-template-columns:repeat(auto-fill,minmax(280px,1fr));
  gap:18px;
}

.card{
  background:var(--card-bg);
  border:1px solid var(--border-color);
  border-radius:12px;
  padding:24px;
  display:flex;
  flex-direction: column;
  justify-content:space-between;
  transition:0.3s;
  min-height:160px;
}

.card:hover{
  border-color:#555;
  transform:translateY(-3px);
}

.card h3{
  font-size:16px;
  margin-bottom:5px;
}

.card p{
  font-size:14px;
  color:var(--secondary-color);
  flex-grow:1;
  margin-bottom:15px;
}

.card_title{
  border-top:1px solid var(--border-color);
  padding-top:10px;
  display:flex;
  justify-content:space-between;
  font-size:12px;
  color:var(--text-color);
}






/* contact */
.contact_container{
  max-width: 800px;
  margin:0 auto;
  background:var(--card-bg);
  border:1px solid var(--border-color);
  border-radius:16px;
  padding:60px;
  position:relative;
  overflow:hidden;
}

.form{
  margin-bottom:24px;
}


.form_group{
  display:block;
  font-size:16px;
  font-weight:500;
  margin-bottom:12px;
  color:var(--text-color);
}

.required{
  color:#ff4d4f;
  margin-left:4px;
}

input,textarea{
  width:100%;
  background-color:#050505;
  border:1px solid var(--border-color);
  border-radius:8px;
  padding:18px 24px;
  font-size:16px;
  color:var(--text-color);
  font-family:inherit;
  transition:all 0.3s ease;
  outline:none;
}

input:focus,textarea:focus{
  border-color:var(--primary-color);
  box-shadow: 0 0 4px rgba(40,255,81,0.1);
  background-color: #000000;
}

.submit_btn{
  width:100%;
  background-color: var(--text-color);
  padding:18px;
  color:#000000;
  font-size:18px;
  font-weight: 700;
  border:none;
  border-radius:8px;
  cursor:pointer;
  transition:all 0.3 ease;
  margin-top:10px;
  text-decoration:none;
}

.submit_btn:hover{
  background-color:var(--primary-color);
  transform:translateY(-2px);
}








.footer{
  padding:48px;
  text-align:center;
  color:var(--text-color);
}


@media(max-width:640px){
  .menu{
    padding:16px;
    display:flex;
    flex-direction:column;
  }
}